PipeWire 1.6.5

Loading...
Searching...
No Matches
I18N
SPA » Support

Gettext interface. More...

## Files
file | i18n.h
| spa/support/i18n.h

## Data Structures
struct | spa_i18n
struct | spa_i18n_methods

## Macros
#define | SPA_TYPE_INTERFACE_I18N SPA_TYPE_INFO_INTERFACE_BASE "I18N"
#define | SPA_VERSION_I18N 0
#define | SPA_VERSION_I18N_METHODS 0

## Functions
SPA_API_I18N const char * | spa_i18n_text (struct spa_i18n *i18n, const char *msgid)
SPA_API_I18N const char * | spa_i18n_ntext (struct spa_i18n *i18n, const char *msgid, const char *msgid_plural, unsigned long int n)

## Detailed Description

Gettext interface.

## Macro Definition Documentation

## ◆ SPA_TYPE_INTERFACE_I18N

#define SPA_TYPE_INTERFACE_I18N SPA_TYPE_INFO_INTERFACE_BASE "I18N"

## ◆ SPA_VERSION_I18N

#define SPA_VERSION_I18N 0

## ◆ SPA_VERSION_I18N_METHODS

#define SPA_VERSION_I18N_METHODS 0

## Function Documentation

## ◆ spa_i18n_text()

SPA_API_I18N const char * spa_i18n_text | ( | struct spa_i18n * | i18n,
|  | const char * | msgid )

## ◆ spa_i18n_ntext()

SPA_API_I18N const char * spa_i18n_ntext | ( | struct spa_i18n * | i18n,
|  | const char * | msgid,
|  | const char * | msgid_plural,
|  | unsigned long int | n )